import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSOrderedSet } from "../Foundation/NSOrderedSet.js";
import type { INVocabularyStringType } from "./INVocabularyStringType.js";
export declare class _INVocabulary extends _NSObject {
    static alloc(): _INVocabulary;
    static new(): _INVocabulary;
    init(): _INVocabulary;
    static sharedVocabulary(): _INVocabulary;
    /**
     * Replaces all vocabulary strings already set for the given type. Strings should be sorted by their expected importance to the user, in descending order. There is no guarantee that every provided string will be used, but preference is given to strings at the beginning of the set. Any strings larger than 1024 bytes when encoded as UTF-16 (roughly 500 characters) will be discarded.
     */
    setVocabularyStrings$ofType$(vocabulary: _NSOrderedSet, type: INVocabularyStringType): void;
    setVocabulary$ofType$(vocabulary: _NSOrderedSet, type: INVocabularyStringType): void;
    /**
     * Removes all vocabulary strings for every INVocabularyStringType the calling app has previously registered.
     */
    removeAllVocabularyStrings(): void;
}
